//JarHead Desert Rank Mod Commands File
//Contains all the client command functions

#if defined jhd_cmds_included
  #endinput
#endif
#define jhd_cmds_included

//Public menu / say commands. Help motds etc..
public show_rankhelp(id)
{
	if (!get_pcvar_num(gPcvarJHDActive))
		return;

	new tempstring[100];
	new motd[2048];

	new kills;

	formatex(motd, charsmax(motd), "<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>");
	formatex(tempstring, charsmax(tempstring), "Rank Points Table</strong><br><br>");
	add(motd, charsmax(motd), tempstring);

	for (new counter = 0; counter < (MAX_RANKS-1); counter++)
	{
		kills = floatround(float(gRankXP[counter]/10));
		formatex(tempstring, charsmax(tempstring), "%s - %d pts", gRankName[counter], kills);
		add(motd, charsmax(motd), tempstring);
		add(motd, charsmax(motd), "<br>");
	}
	
	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d zlotych medali", gRankName[17], gRankName[7], gRankGold[0]);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");
	
	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d zlotych medali", gRankName[18], gRankName[8], gRankGold[1]);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");
	
	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d zlotych medali", gRankName[19], gRankName[15], gRankGold[2]);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");

	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s, %d zlotych medali oraz bycia Vice-Liderem rankingu", gRankName[20], gRankName[16], gRankGold[3]);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");
	
	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s, %d zlotych medali oraz bycia Liderem rankingu", gRankName[21], gRankName[16], gRankGold[4]);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "</font></body></html>");

	show_motd(id, motd, "JHD: Wymagania Rang");
}

public show_server_stats(id)
{
	if (!get_pcvar_num(gPcvarJHDActive))
		return PLUGIN_CONTINUE;

	new tempstring[100];
	new motd[2048];
	new names[4][32];

	get_user_name(highestrankid, names[0], charsmax(names[]));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>");
	formatex(tempstring,charsmax(tempstring),"Obecne Statystyki</strong><br><br>");
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"Najwyzsza Ranga: %s %s<br><br>",gRankName[highestrank],names[0]);
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"<strong>Statystyki Serwera</strong><br><br>");
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"Najwyzsza Ranga: %s %s<br><br>", gRankName[highestrankserver], highestrankservername);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Najwiecej Zabic: %s %i<br><br>",mostkillsname,mostkills);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Najwiecej Zwyciestw: %s %i<br><br>",mostwinsname,mostwins);
	add(motd,charsmax(motd),tempstring);
	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"JHD: Statystki Serwera");

	return PLUGIN_CONTINUE;
}

public cmd_say(id)
{
if (!get_pcvar_num(gPcvarJHDActive))
return PLUGIN_CONTINUE;

new Arg1[31];
read_args(Arg1, charsmax(Arg1));
remove_quotes(Arg1);

if (!((equal(Arg1, "/whostats",6))))
return PLUGIN_CONTINUE;

if (equal(Arg1, "/whostats",6))
{
new player = cmd_target(id, Arg1[10], 0);
if (!player)
{
ColorChat(id,TEAM_COLOR,"[JHD]^x03 Przepraszamy, gracz^x04 %s^x03 nie moze zostac zlokalizowany!",Arg1[10]);
return PLUGIN_CONTINUE;
}

display_stats(id,player);

return PLUGIN_CONTINUE;
}

return PLUGIN_CONTINUE;
}

public show_stats(id)
{
	if (!get_pcvar_num(gPcvarJHDActive))
		return PLUGIN_CONTINUE;

	display_stats(id,id);

	return PLUGIN_CONTINUE;

}

public display_stats(id,statsid)
{
	new tempstring[100];
	new motd[2048];
	new stats[8],bodyhits[8];
	new ranked=get_user_stats(statsid, stats, bodyhits);
	new tempname[32];
	get_user_name(statsid,tempname,charsmax(tempname));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>Statystyki Graczy: %s</strong><br>", tempname);
	add(motd,charsmax(motd),"(Aktualizowane co Runde)<br><br>");

	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia: %d<br>",totalkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z Noza: %d<br>",knifekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Pistoletami: %d<br>",pistolkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z M249: %d<br>",parakills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Snajperkami: %d<br>",sniperkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Karabinam: %d<br>",riflekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Shotgunami: %d<br>",shotgunkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z SMG: %d<br>",smgkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z Granatow: %d<br>",grenadekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna Celnosc: %d percent<br>",accuracy[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc podlozonych bomb: %d<br>",plants[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc bomb ktore wybuchly: %d<br>",explosions[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc bomb ktore zostaly rozbrojone: %d<br>",defuses[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Obecna ranga gracza: #%d<br>",ranked);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Zdobyte Medale: Zloty %d, Srebrny %d, Brazowy %d<br>",gold[statsid],silver[statsid],bronze[statsid]);
	add(motd,charsmax(motd),tempstring);

	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"JHD: Statystyki Gracza");

}

//Admin only commands below here
//Gives kills to specified player
public add_kills(id,level,cid)
{
	if (!cmd_access(id, level, cid, 3))
        	return PLUGIN_HANDLED;

     	new Arg1[24];
     	new Arg2[6];

     	read_argv(1, Arg1, charsmax(Arg1));
     	read_argv(2, Arg2, charsmax(Arg2));

     	new kills = str_to_num(Arg2);
	
	if(kills<0 && (!(get_user_flags(id) && ADMIN_RESET))){
		console_print(id, "Nie masz mozliwosci odejmowania fragow", Arg1);
		return PLUGIN_HANDLED;
	}

	new player = cmd_target(id, Arg1, 0);

	if (!player)
        {
			console_print(id, "Przepraszamy, gracz %s nie moze zostac zlokalizowany!", Arg1);
			return PLUGIN_HANDLED;
        } else {
			totalkills[player]+=kills;
			ColorChat(id,TEAM_COLOR,"[JHD] %s^x03 fragi zostaly przyznane dla gracza^x04 %s",kills,Arg1);
			save_badges(player);
			DisplayHUD(player);
        }

	new adminauthid[35];
	new awardauthid[35];
	get_user_authid(id,adminauthid,charsmax(adminauthid));
	get_user_authid(player,awardauthid,charsmax(awardauthid));

	log_amx("[JHD-ADMIN]Admin %s przyznal %i fragow dla gracza %s",adminauthid,kills,awardauthid);

	return PLUGIN_HANDLED;
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
